LINUX.ORG.RU

Драйвер AMDGPU(-PRO): OpenGL 4.5 / OpenCL 1.2~2.0

 , , , ,


1

3

OpenGL:

OpenGL core profile version string: 4.5.13830 Core Profile Context
OpenGL core profile shading language version string: 4.50
OpenGL version string: 4.5.13830 Compatibility Profile Context
OpenGL shading language version string: 4.50
OpenGL ES profile version string: 4.5.13830 Compatibility Profile Context
OpenGL ES profile shading language version string: 4.50

OpenCL:

Platform Version:				 OpenCL 2.0 AMD-APP (2036.3)
Device OpenCL C version:			 OpenCL C 1.2 
Version:					 OpenCL 1.2 AMD-APP (2036.3)

На текущий момент доступно только для карт GCN >= 1.1

// amdgpu-pro beta for vulkan: link.


на амуде в открытом драйвере сделали что-то, что было до этого только у невидии?

darkenshvein ★★★★★ ()

не понял твоего мессажа. Чего сказать-то хотел? Всё круто или что?

targitaj ★★★★★ ()
Ответ на: комментарий от targitaj

Ну покажи мне какой-нибудь открытый/свободный драйвер с OpenGL 4.5 и OpenCL начиная с 1.2?

kep ()
Ответ на: комментарий от darkenshvein

на амуде в открытом драйвере сделали что-то, что было до этого только у невидии?

Причём было у невидии только в проприетарном драйвере, и то не всегда.

r3lgar ★★★★★ ()

kep, как там дела с бэкпортированием AMDGPU на GCN 1.0-1.1?

r3lgar ★★★★★ ()
Ответ на: комментарий от r3lgar

Так я дал инфу с 1.1, сюда бэкпортировать не нужно, а насчет 1.0 ничего нового кроме слухов не слышал.

kep ()
Ответ на: комментарий от kep

Так я дал инфу с 1.1

Я снова попутал.

насчет 1.0 ничего нового кроме слухов не слышал.

Так может слухи обновились вместе с допилом OpenGL 4. Ты там на рассылку никакую не подписан? Вообще, чем откапываешь инфу по сабжу?

r3lgar ★★★★★ ()

Это точно открытый драйвер? Или тот, у которого открытый блоб в ядре и закрытая либа в юзерспейсе?

Gorthauer ★★★★★ ()
Ответ на: комментарий от Gorthauer

Да, это amdgpu-pro, но это ничего не меняет. Скоро будет только amdgpu-pro, чтобы работал вулкан и прочее.

kep ()
Ответ на: комментарий от targitaj

Я
не
понимаю.

Приятель, прости, что отнял у тебя время.

kep ()
Ответ на: комментарий от r3lgar

Никакой рассылки, слежу за тредами на форониксе, но про слух я слышал не там, а одна бабка где-то рядом сказала, уже не вспомню где. Но ссылались именно на человека AMD (bridgman) с фороникса.

kep ()
Ответ на: комментарий от Gorthauer
AMD provides a binary userland driver called AMDGPU PRO,
which works on top of the open-source AMDGPU kernel driver.
kep ()

Иех, поздравляю, товарищ. А я на своём Evergreen уже отчаялся дождаться OpenGL 4, хотя судя по новостям какой-то прогресс в этом направлении есть.

droserasprout ★★ ()
Ответ на: комментарий от kep

Как-то у меня и половины не гуглится.

Ладно, пока буду отслеживать тег и пару раз в месяц собирать ядро из гита Линуса.

Кстати, в генте завести удалось, или пока только в арче?

r3lgar ★★★★★ ()
Ответ на: комментарий от droserasprout

А я на своём Evergreen уже отчаялся дождаться OpenGL 4

r600 для твоей карты может прям сейчас в 4.1. Может у тебя меса какая древняя?

Behem0th ★★★★★ ()
Ответ на: комментарий от Gorthauer

Юзерспейс блоб со свободной ядерной частью. Меса пока только может в 4.2. До 4.3 осталось одно расширение, патчи уже в рассылке.

Behem0th ★★★★★ ()

ты не мог бы в первом сообщении запилить список поддерживаемого железа?

targitaj ★★★★★ ()
Ответ на: комментарий от r3lgar

Пока только в арче через фирменный PKGBUILD, я пытался сделать то же самое в генте строго следуя ему, но в итоге запорол графику вообще, пришлось переемерживать весь стек.

Как-то у меня и половины не гуглится.

Вот этот тред.

kep ()
Ответ на: комментарий от kep

было бы замечательно. Спасибо.

А оно как идёт? Его только с сайта АМД надо тащить или оно попадёт в репы?

targitaj ★★★★★ ()
Последнее исправление: targitaj (всего исправлений: 1)
Ответ на: комментарий от targitaj

Есть два ответа на твой вопрос, просто драйвер amdgpu — есть в репах всех современных дистров, называется xf86-video-amdgpu. Но opengl/opencl/vuklan он тебе не даст, будут использоваться mesa'вские, слабоватые и в общем-то никуда не годные, особенно что касается OpenCL.

То, что представлено выше, это результат работы бета драйвера amdgpu-pro, который и дает такие opengl, opencl и работу вулкана.

Чувак из AMD дал ссылку на пакет amdgpu-pro для убунты (она уже в шапке в самом низу), солидные люди из OpenSuse (Новелыч) и арча запилили возможность использования в своих дистрах.

kep ()
Ответ на: комментарий от targitaj

В общем список оборудования не дам, чтобы не дезинформировать, что капитально и гарантировано известно, что карта должна быть на архитектуре не меньше GCN 1.1.

похоже что r9 290(x) в пролёте... ((((

Нет, не в пролете, R9 290X это Hawaii XT — архитектура GCN 1.1, уже прямо сейчас можешь использовать.

kep ()
Ответ на: комментарий от Behem0th

Увы, увы. В Feature Matrix такая сноска:

OpenGL 4.1 is currently only supported on CYPRESS, CAYMAN and ARUBA. All other chips are currently limited to OpenGL 3.3

01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Madison [Mobility Radeon HD 5650/5750 / 6530M/6550M]
        Subsystem: Sony Corporation Mobility Radeon HD 5650

➜  ~ glxinfo G version       
server glx version string: 1.4
client glx version string: 1.4
GLX version: 1.4
    Max core profile version: 3.3
    Max compat profile version: 3.0
    Max GLES1 profile version: 1.1
    Max GLES[23] profile version: 3.0
OpenGL core profile version string: 3.3 (Core Profile) Mesa 11.3.0-devel (git-f8752e0)
OpenGL core profile shading language version string: 3.30
OpenGL version string: 3.0 Mesa 11.3.0-devel (git-f8752e0)
OpenGL shading language version string: 1.30
OpenGL ES profile version string: OpenGL ES 3.0 Mesa 11.3.0-devel (git-f8752e0)
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.00
droserasprout ★★ ()

неплохо, а всякие aticonfig и прочее тоже в комплекте идут?

Оно с мезой тоже работать может?

И вообще к чему посыл, что открытый драйвер radeon теперь нахрен никому не сдался?

Radius ★★★★ ()
Ответ на: комментарий от Radius

aticonfig

Не в курсе, возможно они считают, что это не нужно вообще, как и для radeon. В опубликованном бета-пакете кажется подобного нет.

Оно с мезой тоже работать может?

На кой ему сдалась mesa-то? Для чего?

открытый драйвер radeon теперь нахрен никому не сдался?

Нет, смысл в том, что для карточек GCN >= 1.1 radeon нахрен никому не сдался. Да и его не будет уже через какое-то время, ведь AMD решили дропнуть всё старое.

kep ()
Ответ на: комментарий от Behem0th

r600 для твоей карты может прям сейчас в 4.1. Может у тебя меса какая древняя?

Неа, там затык с GL_ARB_gpu_shader_fp64.

 [ ~ ] $ glxinfo | grep OpenGL
OpenGL vendor string: X.Org
OpenGL renderer string: Gallium 0.4 on AMD TURKS (DRM 2.43.0, LLVM 3.7.1)
OpenGL core profile version string: 3.3 (Core Profile) Mesa 11.3.0-devel (git-a998e49)
OpenGL core profile shading language version string: 3.30
OpenGL core profile context flags: (none)
OpenGL core profile profile mask: core profile
OpenGL core profile extensions:
OpenGL version string: 3.0 Mesa 11.3.0-devel (git-a998e49)
OpenGL shading language version string: 1.30
OpenGL context flags: (none)
OpenGL extensions:
OpenGL ES profile version string: OpenGL ES 3.0 Mesa 11.3.0-devel (git-a998e49)
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.00
OpenGL ES profile extensions:
 [ ~ ] $ 
Stil ★★★★★ ()
Ответ на: комментарий от droserasprout

Окей, что то я этот момент пропустил. Неприятно конечно. В чем причина нигде не обсуждалось?

Behem0th ★★★★★ ()
Ответ на: комментарий от Stil

Да, мне уже ответили. GL_ARB_gpu_shader_fp64 железо не может, а в эмуляцию не хотят?

Behem0th ★★★★★ ()
Ответ на: комментарий от kep

Да и его не будет уже через какое-то время, ведь AMD решили дропнуть всё старое.

С чего бы ему куда-то деваться, карточки типа r200 в ati еще лет 10 назад дропнули, наверное, а драйвер radeon все еще их поддерживает без всякого ati/amd, и даже что-то исправляют время от времени.

Khnazile ★★★★★ ()
Ответ на: комментарий от Behem0th

железо не может, а в эмуляцию не хотят?

Мне кто-то говорил именно это...

Stil ★★★★★ ()

radeonsi уже умеет огл 4.5? И opencl 2? Или это через блоб?

Ivan_qrt ★★★★★ ()
Ответ на: комментарий от kep

aticonfig - это утилита настройки. Туда же и гуишный amd ccc. Еще из важного есть библиотека adl. Без них как бы использование всего этого ставится под вопрос. Проще тогда будет старое ядро с иксами подтянуть и поставить fglrx.

На кой ему сдалась mesa-то? Для чего?

есть мнение, что реализация opengl от amd говно и/или слабо поддерживается во многих играх, в то время как mesa в тех же играх работает отлично

Radius ★★★★ ()
Ответ на: комментарий от Radius

есть мнение, что реализация opengl от amd говно и/или слабо поддерживается во многих играх

об этом знают владельцы видеокарт AMD использующие Windows?

aticonfig - это утилита настройки. Туда же и гуишный amd ccc. Еще из важного есть библиотека adl.

если всё просто работает, что настраивать-то? Мне кажется ты пытаешься решать проблемы блоба, которых на этом драйвере просто нет.

Ну совсем как на винде, где всё происходит автоматически при подключении/отключении мониторов и управление картинкой _не_ через Nvidia Control Panel / Catalyst.

kep ()
Ответ на: комментарий от Stil

Я вот сейчас вроде припоминаю что был где разговор в котором амд разработчики говорили про это ограничение. А еще кто то порывался или просто интересовался эмуляцией этого расширения. Но это было давно и подробностей в памяти не осталось. судя по всему дальше разговоров дело не пошло:-(

Behem0th ★★★★★ ()
Ответ на: комментарий от Ivan_qrt
00:01.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Kaveri [Radeon R7 Graphics] (rev d4)
	Subsystem: Gigabyte Technology Co., Ltd Kaveri [Radeon R7 Graphics]
	Kernel driver in use: amdgpu

Где ложь-то? Кто использует amdgpu — будет использовать и дополнительные возможности pro, когда он выйдет из беты.

kep ()
Ответ на: комментарий от kep

Где ложь-то?
Открытый драйвер AMDGPU: OpenGL 4.5

OpenGl 4.5 даёт закрытый amdgpu-pro. Открытый amdgpu opengl вообще не даёт. В связке с открытой мезой, пока только 4.2. Тоже с opencl.

Я понимаю, что набросить надо. Но вводить людей в заблуждение плохо.

Ivan_qrt ★★★★★ ()
Ответ на: комментарий от kep

Владельцы windows часто используют opengl? И вообще причем здесь это? Я говорю исходя из 8-летнего опыта тыкания палочкой в fglrx и столько же курения результатов разных тестов и форумов. Или здесь они каким-то чудом сумели запилить другую реализацию, выкинув все предыдущие достижения?

если всё просто работает, что настраивать-то? Мне кажется ты пытаешься решать проблемы блоба, которых на этом драйвере просто нет.

Я могу только порадоваться за тебя, отлично наверное живется в мире ограничений. Примерно по такому же принципу работают религии.

Судя по man amdgpu в иксовом модуле вообще никаких настроек нету, так что должны быть какие-то утилиты.

Radius ★★★★ ()
Последнее исправление: Radius (всего исправлений: 1)
Ответ на: комментарий от Radius

OGX ещё есть, что-то никто про эту версию не вспоминал,?

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.